
Audacious - Bug #348

This WAV file is not played in Windows version of Audacious (3.4.1) ... in Linux version works fine.

September 25, 2013 19:17 - Pascual Lucero

Status: Rejected Start date: September 25, 2013

Priority: Major Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.4.1   

Description

Hello,

I have been using Audacious for Linux and Windows since a long time ago and the following file (see attachment) was playing

correctly in all versions. Currently, it can be only played in the Linux version (I use Linux Mint at the moment), but not in the latest

windows version (3.4.1).

Windows media player plays it correctly (of course, it doesn't show media information, tags, but at least the file can be played) and

VLC of course it does. This file belongs to an album of Latin American folk music and curiously, several files in the folder are played

correctly and some are not. The attachment is one o these.

In my computer, Windows 8 is installed. I don't know if the problem is related to the ffaudio plugin.

Thanks for your attention

History

#1 - September 25, 2013 19:28 - John Lindgren

- Description updated

Please give more detail.  What do you mean by "it can't be played"?  Is there an error message?

#2 - September 25, 2013 20:40 - Pascual Lucero

Hello,

At least in Windows, the player does nothing (it does not appear an error message). If I am playing it as part of a playlist, the player automatically

moves to the next track of the playlist.

#3 - September 27, 2013 02:17 - John Lindgren

- Description updated

- Category deleted (plugins/ffaudio)

- Status changed from New to Rejected

I don't know what you tried to do to this file, but somehow you managed to stick an ID3 tag on the beginning of it.  That's a no-no with .wav files.

#4 - September 27, 2013 21:49 - Pascual Lucero

Hello,

I don't understand. The problem is with Audacious? Is with the file itself? How can I remove the ID3 tag you mention? (I haven't done anything with

the file and as I told you, Audacious in Linux plays the file (unlike Windows)
#5 - September 27, 2013 22:12 - Pascual Lucero

Furthermore ... Audacious 3.4 in Windows plays the file ... consequently something changed from Audacious 3.4 to Audacious 3.4.1

#6 - September 28, 2013 20:32 - John Lindgren

- Description updated

Neither FFmpeg or libsndfile can handle the file on my Linux system.  The Windows build of Audacious 3.4 contains older versions of those libraries,

and it's possible that one of those older versions was able to handle the file.  Regardless, this is not something directly related to Audacious.

$ ffplay Jorge\ Onate\ y\ Colacho\ Mendoza\ -\ 01\ -\ Morenita.wav

ffplay version 2.0.1 Copyright (c) 2003-2013 the FFmpeg developers

built on Aug 11 2013 14:52:28 with gcc 4.8.1 (GCC) 20130725 (prerelease)

configuration: --prefix=/usr --disable-debug --disable-static --enable-avresample --enable-dxva2 --enable-fontconfig --enable-gpl --enable-libass

--enable-libbluray --enable-libfreetype --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopencore_amrnb

--enable-libopencore_amrwb --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libspeex

--enable-libtheora --enable-libv4l2 --enable-libvorbis --enable-libvpx --enable-libx264 --enable-libxvid --enable-pic --enable-postproc

--enable-runtime-cpudetect --enable-shared --enable-swresample --enable-vdpau --enable-version3 --enable-x11grab

libavutil      52. 38.100 / 52. 38.100

libavcodec     55. 18.102 / 55. 18.102

libavformat    55. 12.100 / 55. 12.100

libavdevice    55.  3.100 / 55.  3.100

libavfilter     3. 79.101 /  3. 79.101

libavresample   1.  1.  0 /  1.  1.  0

libswscale      2.  3.100 /  2.  3.100

libswresample   0. 17.102 /  0. 17.102

libpostproc    52.  3.100 / 52.  3.100

no 'data' tag found fd=   0 aq=    0KB vq=    0KB sq=    0B f=0/0

Jorge Onate y Colacho Mendoza - 01 - Morenita.wav: Invalid data found when processing input

$ sndfile-play Jorge\ Onate\ y\ Colacho\ Mendoza\ -\ 01\ -\ Morenita.wav

Playing Jorge Onate y Colacho Mendoza - 01 - Morenita.wav

File contains data in an unknown format.

#7 - September 28, 2013 20:36 - John Lindgren

- Description updated

The following command will remove the 1177-byte ID3 tag:

$ dd if=Jorge\ Onate\ y\ Colacho\ Mendoza\ -\ 01\ -\ Morenita.wav of=fixed.wav bs=1 skip=1177
#8 - September 30, 2013 00:18 - Pascual Lucero

Hello,

Thanks I use that command with all files in the folder I mentioned and Audacious 3.4.1 plays the files correctly. Of course, I wonder how did you

discovered this subtle error and that number 1177... and how this error appeared in my files. Perhaps the reason those files were handled correctly in

my Linux system (Linux Mint 15) is that you use a much modern version of FFmpeg (I use the one included in Ubuntu repositories and perhaps you

use the latest version compiled from source).

Thanks for your attention, I know you might become impatient and reluctant to attend these bug reports, but it was clear that I had a legitimate

problem in playing files, so I am grateful you took the time to analyze this issue with more depth.

Have a nice day.

Files

Jorge Onate y Colacho Mendoza - 01 - Morenita.wav 3.82 MBSeptember 25, 2013 Pascual Lucero
